<?php

namespace Tests\Feature\V3\CMMSMachine;

use App\Models\CMMSMachine;
use App\Models\Permission;
use App\Models\User;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Foundation\Testing\WithFaker;
use Tests\TestCase;

class ListTest extends TestCase
{
    use RefreshDatabase, WithFaker;
    /**
     * A basic feature test example.
     */
    public function test_machine_code_list_return_successfully(): void
    {
        $user = User::factory()->create();

        CMMSMachine::factory(5)->create();

        $response = $this->actingAs($user)->getJson(route('v3.cmms_machines.list'));

        $response->assertOk();

        $response->assertJsonStructure([
            'data' => [
                '*' => [
                    "machine_code",
                ],
            ]
        ]);
    }
}
